=pod

=head1 NAME

ossl_prov_util_nid_to_name
- provider utility functions

=head1 SYNOPSIS

 #include "prov/providercommon.h"

 const char *ossl_prov_util_nid_to_name(int nid);

=head1 DESCRIPTION

The ossl_prov_util_nid_to_name() returns the name of an algorithm given a NID
in the I<nid> parameter. For the default and legacy providers it is equivalent
to calling OBJ_nid2sn(). The FIPS provider does not have the object database
code available to it (because that code relies on the ASN.1 code), so this
function is a static lookup of all known FIPS algorithm NIDs.

=head1 RETURN VALUES

Returns a pointer to the algorithm name, or NULL on error.

=head1 COPYRIGHT

Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License").  You may not use
this file except in compliance with the License.  You can obtain a copy
in the file LICENSE in the source distribution or at
L<https://www.openssl.org/source/license.html>.

=cut
